#### PyKDE - Python Bindings for KDE

# class KOCRDialog |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KOCRDialog
Inherits | KDialogBase

### methods

- KOCRDialog (dialogFace = Tabbed, buttonMask = Close | Help, parent = 0, name = 0, modal = 0)

  returns a KOCRDialog instance
  Argument | Type | Default
  --- | --- | ---
  dialogFace | int | Tabbed
  buttonMask | int | Close | Help
  parent | TQWidget | 0
  name | char | 0
  modal | bool | 0

- getOCRDialog (parent = 0, name = 0, modal = 0)

  returns (KOCRDialog)
  static
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0
  modal | bool | 0

- id ()

  returns (int)

- nextId ()

  returns (int)

- textRecognized (text, id)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  text | TQString |
  id | int |